We are moving to Git Issues for bug tracking in future releases. During transition, content will be in both tools. If you'd like to file a new bug, please create an issue.

Bug 7346

Summary: bcc to reviewers emails sent out with no expansion
Product: OJS Reporter: Kai von Fintel <fintel>
Component: EditorsAssignee: Matthew Crider <mattcrider>
Status: RESOLVED FIXED    
Severity: normal CC: alec, armin.guenther, jmacgreg, paul.warren, pkp-support, shubhash
Priority: P3    
Version: 2.4.0   
Hardware: All   
OS: All   
Version Reported In: Also Affects:

Description Kai von Fintel 2012-04-05 10:08:14 PDT
This may be related to http://pkp.sfu.ca/bugzilla/show_bug.cgi?id=6925.

When we try to send out copies of our decisions to reviewers via bcc (using the "After sending, present an editable BCC copy to send to reviewers" option), what gets sent instead is the unexpanded template, looking like this:

-----
                                                                                                                                                                                                                                                               
Received: from lib-ojs3.lib.sfu.ca (Lib-ojs3.lib.sfu.ca [142.58.129.88])
To: 
Subject: Decision on "{$articleTitle}"
Content-Type: text/plain; charset="utf-8"
X-Mailer: Public Knowledge Project Suite v2
X-Originating-IP: 68.184.29.5
Date: Thu, 05 Apr 2012 09:43:54 -0700

As one of the reviewers for the submission, "{$articleTitle}," to
{$journalName}, I am sending you the reviews and editorial decision sent to
the author of this piece. Thank you again for your important contribution to
this process.
 
{$editorialContactSignature}

{$comments}

-----

NB: before sending the email, on screen, the variables *are* expanded so the editors have no reason to suspect that what gets sent will not be what they just saw but an email with unexpanded variables.

NB: this email is what the editor receives if they ask to be copied on the email; we're not sure whether the email ever actually gets sent to reviewers. We think it might not.

We're hosting our journal with PKP, so this is with whatever is the newest version you're using.
Comment 1 paul.warren 2012-05-03 15:48:46 PDT
I'm getting the same problem, and I can confirm that nothing is being sent to the reviewers.
According to "About this Publishing System" (which is where I assume I find these things) I am using OJS 2.3.7.0
Comment 2 Alec Smecher 2012-05-03 15:56:16 PDT
Scheduling against 2.3.8 for attention.
Comment 3 James MacGregor 2012-07-27 13:24:24 PDT
Scheduling against 2.4 to make sure it's looked at. This will need a live test install to test against (that is, something with mail functionality). See also http://pkp.sfu.ca/support/forum/viewtopic.php?f=8&t=8871&p=34520#p34520.
Comment 4 Alec Smecher 2012-08-14 15:13:32 PDT
Matt, your fix to bug #7346 is causing this.
Comment 5 Alec Smecher 2012-08-14 15:13:59 PDT
...sorry, that should be bug #6925.
Comment 6 Matthew Crider 2012-08-21 15:45:21 PDT
Fixed in bug 6925.  Closing.
Comment 7 paul.warren 2012-09-10 02:40:46 PDT
I'm still getting this problem using what is listed on the pkp website as the latest stable release (2.3.7). Should I be upgrading to a development release to get around this?
Comment 8 Alec Smecher 2012-09-10 08:04:26 PDT
Paul, we file entries against the version a fix will be released in (in this case, 2.4.0). If you want to port this to an earlier release, try applying the patch(es) noted in the bug entry. (In this case the commit was recorded against bug #6925; see https://github.com/pkp/ojs/commit/97aaa0d279fdff8a5a30789de1d58ddb63469d11 for details).
Comment 9 paul.warren 2012-09-10 14:28:36 PDT
(In reply to comment #8)
> Paul, we file entries against the version a fix will be released in (in this
> case, 2.4.0). If you want to port this to an earlier release, try applying
> the patch(es) noted in the bug entry. (In this case the commit was recorded
> against bug #6925; see
> https://github.com/pkp/ojs/commit/97aaa0d279fdff8a5a30789de1d58ddb63469d11
> for details).

the comment on the patch against bug #6925 says that is for pre-2.3.7, but I am still getting the bug for 2.3.7
Comment 10 Alec Smecher 2012-09-10 14:46:37 PDT
Only the commit I linked in comment #8 should be relevant to this issue. However, it hasn't been specifically tested against OJS 2.3.x, so try applying the patch with --dry-run first, and a quick test is recommended once the patch is applied.
Comment 11 Matthew Crider 2012-09-10 14:48:36 PDT
(Paul, add .diff to a github commit to generate a usable patch, e.g. https://github.com/pkp/ojs/commit/97aaa0d279fdff8a5a30789de1d58ddb63469d11.diff)